Debian Bug report logs - #542193
debian-installer: May install Grub to wrong hard disk

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Teemu Likonen <tlikonen@iki.fi>

Date: Tue, 18 Aug 2009 11:42:02 UTC

Severity: important

Merged with 388559, 610641

Fixed in version 1.86

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#542193; Package debian-installer. (Tue, 18 Aug 2009 11:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Likonen <tlikonen@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 18 Aug 2009 11:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Teemu Likonen <tlikonen@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: May install Grub to wrong hard disk
Date: Tue, 18 Aug 2009 14:38:52 +0300
Package: debian-installer
Severity: important

Debian installer may install Grub to wrong hard disk. Here's the case I
experienced.

I have two HDs and they are identified as /dev/sda (SATA) and /dev/hda
(ATA, my backup disk). I installed Debian Lenny to /dev/sda with
text-mode installer and no expert mode. Eventually the installer got to
the Grub stage. It said that there seems to be no other operating
systems on the disk so it is probably safe to install Grub in the MBR. I
agreed and answered "Yes".

The installation resulted in system which was not bootable, not even
Grub was loaded. Ok, second try, and I decided to look more carefully
about Grub. I did exactly the same but this time I noticed that after
answering "Yes" to the Grub MBR question there was a text like
"Installing Grub to /dev/hda" (can't remember the text accurately). The
text disappeared quickly but luckily I had picked it and understood to
answer "No" next time and manually choose /dev/sda as the place where
Grub should go. After that I could boot to the Grub stage.

But that's not all. Now trying to boot the first kernel from the Grub
menu resulted in an another error. I can't actually remember the message
but I know the cause of the error. Debian installer had put boot option
"root (hd1,0)" but my /dev/sda is really "(hd0,0)" when BIOS is booting
from that device. I edited the "root" boot option in Grub and got my
system finally running. The first thing I did was to put "groot=(hd0,0)"
in menu.lst and run update-grub.

So, while I'm happy to have my Lenny running nicely I doubt that a
newbie could get a working Debian installation on SATA disk if he has
ATA disk in the system.


-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (900, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=fi_FI.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#542193; Package debian-installer. (Wed, 19 Aug 2009 09:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Teemu Likonen <tlikonen@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 19 Aug 2009 09:39:08 GMT) Full text and rfc822 format available.

Message #10 received at 542193@bugs.debian.org (full text, mbox):

From: Teemu Likonen <tlikonen@iki.fi>
To: 542193@bugs.debian.org
Subject: Re: debian-installer: May install Grub to wrong hard disk
Date: Wed, 19 Aug 2009 12:34:43 +0300
On 2009-08-18 14:38 (+0300), Teemu Likonen wrote:

> But that's not all. Now trying to boot the first kernel from the Grub
> menu resulted in an another error. I can't actually remember the message
> but I know the cause of the error. Debian installer had put boot option
> "root (hd1,0)" but my /dev/sda is really "(hd0,0)" when BIOS is booting
                        ^^^^^^^^

Should read /dev/sda1 there, that is the partition to look for kernel etc.

> from that device. I edited the "root" boot option in Grub and got my
> system finally running. The first thing I did was to put "groot=(hd0,0)"
> in menu.lst and run update-grub.




Bug reassigned from package 'debian-installer' to 'grub-installer'. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Wed, 19 Aug 2009 15:03:08 GMT) Full text and rfc822 format available.

Forcibly Merged 388559 542193 610641. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Wed, 26 Jan 2011 23:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#542193; Package grub-installer. (Mon, 17 Mar 2014 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 17 Mar 2014 00:33:05 GMT) Full text and rfc822 format available.

Message #19 received at 542193@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jan Grant <jan.grant@bristol.ac.uk>, 388559-done@bugs.debian.org
Cc: Teemu Likonen <tlikonen@iki.fi>, 542193@bugs.debian.org, Patrick Finnegan <pat@purdueriots.com>, 610641@bugs.debian.org
Subject: Re: Bug#388559: Installation report: subfire x4100, etch rc3
Date: Mon, 17 Mar 2014 01:28:30 +0100
[Message part 1 (text/plain, inline)]
Version: 1.86

Jan Grant <jan.grant@bristol.ac.uk> (2006-09-21):
> The root disk is therefore /dev/sdi. I don't have a problem with this, 
> but the installer does. At the point where I selected a grub 
> installation into the MBR, I saw a response which stated that it 
> couldn't find or write to /dev/hda.
> 
> The workaround was to use the emergency shell and chroot into /target, 
> running update-grub and grub-install /dev/sdi by hand.
> 
> The installation otherwise completed - apparently, under my early 
> testing, successfully.

It took quite some time, but that's been finally fixed in the above
mentioned version, by prompting where to install grub to.

The first official release featuring this bug fix is the upcoming
jessie alpha 1 installer.

Thanks everyone for your reports.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Apr 2014 07:28:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:39:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.